<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						      <!-- <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-besar-bayar" (click)="createPengajuan()">
						            <i class="material-icons">add</i>
						            <span class="textH1"> Buat Pengajuan </span>
						        </button>-->
						    </h4>
						    <br/>
					</div>
        			<div class="card-body">
						<div class="row">
					        <div class="col-md-9">
							</div>
					        <div class="col-md-3 input-group" [formGroup]="editForm">
								<input type="text" class="form-control textB"  name="nama" id="nama" placeholder="cari nama pendamping..." formControlName="nama">
								<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchnama()">
				                        <i class="material-icons">search</i>
				                </button>
				                <button mat-raised-button class="btn btn-danger btn-round btn-just-icon btn-sm" (click)="clear()">
				                  <i class="material-icons">delete</i>
				                    <div class="ripple-container"></div>
				                </button>
							</div>
					    </div>
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <!--<div class="table-responsive-sm" *ngIf="pengajuans?.length > 0">-->
			            <div class="table-responsive-sm">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)" class="textH">
							            <td scope="col" class="d-none d-sm-table-cell"><span>NAMA</span></td>
							            <!--<td scope="col" class="d-none d-sm-table-cell"><span>USERNAME KEMENAG</span></td>-->
							            <td scope="col" class="d-none d-sm-table-cell"><span>LEMBAGA</span></td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">SALDO</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">FREE SALDO</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center" *jhiHasAnyAuthority="['ROLE_ADMIN']">STATUS</td>
							            <td scope="col" class="d-none d-sm-table-cell" *jhiHasAnyAuthority="['ROLE_MANAGER','ROLE_ADMIN']"></td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let pendamping of pendampings let i= index" class="textB">
						                <td class="d-none d-sm-table-cell">{{pendamping.nama}}</td>
						               <!-- <td class="d-none d-sm-table-cell">{{pendamping.username}}</td>-->
						                <td class="d-none d-sm-table-cell">{{pendamping.namaLembaga}}</td>
						                <td class="d-none d-sm-table-cell text-center">{{pendamping.saldo}}</td>
						                <td class="d-none d-sm-table-cell text-center">{{pendamping.freeSaldo}}</td>
						                <td class="d-none d-sm-table-cell text-center"  *jhiHasAnyAuthority="['ROLE_ADMIN']" >
											<!--<span class="textcomplete" *ngIf="pendamping.status">Aktif</span>
											<span class="texttolak" *ngIf="!pendamping.status">Tidak Aktif</span>-->
						                    <button class="btn btn-danger btn-sm" (click)="active(pendamping,'false')" *ngIf="pendamping.status">Deactivated</button>
						                    <button class="btn btn-success btn-sm" (click)="active(pendamping,'true')" *ngIf="!pendamping.status">Activated</button>
						                
										</td>
										<td class="d-none d-sm-table-cell text-right" *jhiHasAnyAuthority="['ROLE_MANAGER','ROLE_ADMIN']">
											<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="editPengajuan(pendamping)">
						                        <i class="material-icons">edit</i>
						                	</button>
										</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>